diff --git a/src/main/java/net/minecraft/server/net/handler/ServerPacketHandler.java b/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
similarity index 94%
rename from src/main/java/net/minecraft/server/net/handler/ServerPacketHandler.java
rename to src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
index 5f9b17c1e..22a799429 100644
--- a/src/main/java/net/minecraft/server/net/handler/ServerPacketHandler.java
+++ b/src/main/java/net/minecraft/server/net/handler/PacketHandlerServer.java
@@ -2,10 +2,10 @@ package net.minecraft.server.net.handler;
 
 import com.mojang.brigadier.exceptions.CommandSyntaxException;
 import com.mojang.logging.LogUtils;
-import net.minecraft.core.block.entity.BlockEntity;
-import net.minecraft.core.block.entity.FlagBlockEntity;
-import net.minecraft.core.block.entity.MobSpawnerBlockEntity;
-import net.minecraft.core.block.entity.SignBlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
+import net.minecraft.core.block.entity.TileEntityFlag;
+import net.minecraft.core.block.entity.TileEntityMobSpawner;
+import net.minecraft.core.block.entity.TileEntitySign;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.vehicle.BoatEntity;
 import net.minecraft.core.enums.ArtType;
@@ -17,14 +17,14 @@ import net.minecraft.core.net.ChatEmotes;
 import net.minecraft.core.net.ICommandListener;
 import net.minecraft.core.net.NetworkManager;
 import net.minecraft.core.net.command.TextFormatting;
+import net.minecraft.core.player.inventory.container.ContainerInventory;
 import net.minecraft.core.world.World;
 import net.minecraft.server.net.command.ServerCommandSource;
 import net.minecraft.core.net.handler.PacketHandler;
 import net.minecraft.core.net.packet.*;
 import net.minecraft.core.player.gamemode.Gamemode;
-import net.minecraft.core.player.inventory.menu.FlagMenu;
-import net.minecraft.core.player.inventory.menu.CreativeInventoryMenu;
-import net.minecraft.core.player.inventory.container.Inventory;
+import net.minecraft.core.player.inventory.menu.MenuFlag;
+import net.minecraft.core.player.inventory.menu.MenuInventoryCreative;
 import net.minecraft.core.player.inventory.slot.Slot;
 import net.minecraft.core.util.helper.AES;
 import net.minecraft.core.util.helper.ChatAllowedCharacters;
@@ -36,7 +36,7 @@ import net.minecraft.core.util.phys.HitResult;
 import net.minecraft.core.util.phys.Vec3;
 import net.minecraft.core.world.chunk.ChunkCoordinates;
 import net.minecraft.server.MinecraftServer;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 import net.minecraft.server.util.helper.PlayerList;
 import net.minecraft.server.world.WorldServer;
 import org.slf4j.Logger;
@@ -46,11 +46,11 @@ import java.util.ArrayList;
 import java.util.HashMap;
 import java.util.Map;
 
-public class ServerPacketHandler extends PacketHandler
+public class PacketHandlerServer extends PacketHandler
         implements ICommandListener
 {
 
-    public ServerPacketHandler(MinecraftServer minecraftserver, NetworkManager networkManager, ServerPlayer player)
+    public PacketHandlerServer(MinecraftServer minecraftserver, NetworkManager networkManager, PlayerServer player)
     {
         connectionClosed = false;
         hasMoved = true;
@@ -96,10 +96,10 @@ public class ServerPacketHandler extends PacketHandler
         WorldServer world = mcServer.getDimensionWorld(playerEntity.dimension);
         if (playerEntity.getGamemode() == Gamemode.creative && world.isBlockLoaded(packet.xPosition, packet.yPosition, packet.zPosition))
         {
-            BlockEntity tileentity = world.getBlockEntity(packet.xPosition, packet.yPosition, packet.zPosition);
-            if (tileentity instanceof MobSpawnerBlockEntity)
+            TileEntity tileentity = world.getBlockEntity(packet.xPosition, packet.yPosition, packet.zPosition);
+            if (tileentity instanceof TileEntityMobSpawner)
             {
-                MobSpawnerBlockEntity tileEntityMobSpawner = (MobSpawnerBlockEntity) tileentity;
+                TileEntityMobSpawner tileEntityMobSpawner = (TileEntityMobSpawner) tileentity;
                 tileEntityMobSpawner.setMobId(packet.spawnType);
 
                 tileEntityMobSpawner.setChanged();
@@ -359,9 +359,9 @@ public class ServerPacketHandler extends PacketHandler
 
     public void handleSendInitialPlayerList()
     {
-        for (ServerPlayer serverPlayer : mcServer.playerList.playerEntities)
+        for (PlayerServer playerServer : mcServer.playerList.playerEntities)
         {
-            sendPacket(new UpdatePlayerProfilePacket(serverPlayer.username, serverPlayer.nickname, serverPlayer.uuid, serverPlayer.score, serverPlayer.chatColor, true, serverPlayer.isOperator()));
+            sendPacket(new UpdatePlayerProfilePacket(playerServer.username, playerServer.nickname, playerServer.uuid, playerServer.score, playerServer.chatColor, true, playerServer.isOperator()));
         }
     }
 
@@ -456,7 +456,7 @@ public class ServerPacketHandler extends PacketHandler
     @Override
     public void handleBlockItemSwitch(SetCarriedItemPacket setCarriedItemPacket)
     {
-        if (setCarriedItemPacket.id < 0 || setCarriedItemPacket.id > Inventory.playerMainInventorySize())
+        if (setCarriedItemPacket.id < 0 || setCarriedItemPacket.id > ContainerInventory.playerMainInventorySize())
         {
             LOGGER.warn("{} tried to set an invalid carried item", playerEntity.username);
         }
@@ -693,10 +693,10 @@ public class ServerPacketHandler extends PacketHandler
         WorldServer worldserver = mcServer.getDimensionWorld(playerEntity.dimension);
         if (worldserver.isBlockLoaded(signUpdatePacket.xPosition, signUpdatePacket.yPosition, signUpdatePacket.zPosition))
         {
-            BlockEntity blockEntity = worldserver.getBlockEntity(signUpdatePacket.xPosition, signUpdatePacket.yPosition, signUpdatePacket.zPosition);
-            if (blockEntity instanceof SignBlockEntity)
+            TileEntity blockEntity = worldserver.getBlockEntity(signUpdatePacket.xPosition, signUpdatePacket.yPosition, signUpdatePacket.zPosition);
+            if (blockEntity instanceof TileEntitySign)
             {
-                SignBlockEntity sign = (SignBlockEntity) blockEntity;
+                TileEntitySign sign = (TileEntitySign) blockEntity;
                 if (!sign.isEditableBy(playerEntity))
                 {
                     LOGGER.warn("Player {} just tried to change non-editable sign", playerEntity.username);
@@ -728,12 +728,12 @@ public class ServerPacketHandler extends PacketHandler
                 }
             }
 
-            if (blockEntity instanceof SignBlockEntity)
+            if (blockEntity instanceof TileEntitySign)
             {
                 int x = signUpdatePacket.xPosition;
                 int y = signUpdatePacket.yPosition;
                 int z = signUpdatePacket.zPosition;
-                SignBlockEntity tileEntity = (SignBlockEntity) blockEntity;
+                TileEntitySign tileEntity = (TileEntitySign) blockEntity;
                 System.arraycopy(signUpdatePacket.signLines, 0, tileEntity.signText, 0, 4);
 
                 tileEntity.setColor(TextFormatting.FORMATTINGS[signUpdatePacket.color]);
@@ -748,9 +748,9 @@ public class ServerPacketHandler extends PacketHandler
     @Override
     public void handleUpdateCreativeInventory(UpdateCreativeInventoryPacket packet)
     {
-        if (playerEntity.craftingInventory.containerId == packet.windowId && playerEntity.craftingInventory instanceof CreativeInventoryMenu)
+        if (playerEntity.craftingInventory.containerId == packet.windowId && playerEntity.craftingInventory instanceof MenuInventoryCreative)
         {
-            ((CreativeInventoryMenu) playerEntity.craftingInventory).setInventoryStatus(packet.page, packet.searchText);
+            ((MenuInventoryCreative) playerEntity.craftingInventory).setInventoryStatus(packet.page, packet.searchText);
         }
     }
 
@@ -788,9 +788,9 @@ public class ServerPacketHandler extends PacketHandler
         		playerEntity.placementModeOverride = PlacementMode.get(customPayloadPacket.data[3]);
     		}
     	}else if("BTA|Flag".equals(customPayloadPacket.channel)) {
-    		if(customPayloadPacket.data.length == 24 * 16 && playerEntity.craftingInventory instanceof FlagMenu) {
-    			FlagMenu flagMenu = (FlagMenu) playerEntity.craftingInventory;
-    			FlagBlockEntity flag = flagMenu.flag;
+    		if(customPayloadPacket.data.length == 24 * 16 && playerEntity.craftingInventory instanceof MenuFlag) {
+    			MenuFlag menuFlag = (MenuFlag) playerEntity.craftingInventory;
+    			TileEntityFlag flag = menuFlag.flag;
 
     			if(flag.owner == null || flag.owner.equals(playerEntity.uuid)) {
                     flag.owner = playerEntity.uuid;
@@ -836,7 +836,7 @@ public class ServerPacketHandler extends PacketHandler
     public NetworkManager netManager;
     public boolean connectionClosed;
     private final MinecraftServer mcServer;
-    private ServerPlayer playerEntity;
+    private PlayerServer playerEntity;
     private int field_15_f;
     private int field_22004_g;
     private int playerInAirTime;
diff --git a/src/main/java/net/minecraft/server/player/PlayerManager.java b/src/main/java/net/minecraft/server/player/PlayerManager.java
index 773ef4407..059fa3db1 100644
--- a/src/main/java/net/minecraft/server/player/PlayerManager.java
+++ b/src/main/java/net/minecraft/server/player/PlayerManager.java
@@ -4,18 +4,18 @@ import java.util.ArrayList;
 import java.util.List;
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.net.packet.*;
+import net.minecraft.server.entity.player.PlayerServer;
 import net.minecraft.server.net.PlayerHash;
 import net.minecraft.core.world.chunk.Chunk;
 import net.minecraft.core.world.chunk.ChunkCoordinate;
-import net.minecraft.server.entity.player.ServerPlayer;
 import net.minecraft.server.world.WorldServer;
 import net.minecraft.server.MinecraftServer;
 
 public class PlayerManager
 {
-    public final List<ServerPlayer> players;
+    public final List<PlayerServer> players;
     private final PlayerHash playerInstances;
     private final List<PlayerInstance> playerInstancesToUpdate;
     private final MinecraftServer server;
@@ -78,7 +78,7 @@ public class PlayerManager
         }
     }
 
-    public void addPlayer(ServerPlayer player)
+    public void addPlayer(PlayerServer player)
     {
         int xChunk = (int)player.x >> 4;
         int zChunk = (int)player.z >> 4;
@@ -114,7 +114,7 @@ public class PlayerManager
         players.add(player);
     }
 
-    public void removePlayer(ServerPlayer entityplayermp)
+    public void removePlayer(PlayerServer entityplayermp)
     {
         int i = (int)entityplayermp.viewingX >> 4;
         int j = (int)entityplayermp.viewingZ >> 4;
@@ -141,7 +141,7 @@ public class PlayerManager
         return cDZ >= -viewRadius && cDZ <= viewRadius && cDX >= -viewRadius && cDX <= viewRadius;
     }
 
-    public void onPlayerMoved(ServerPlayer player)
+    public void onPlayerMoved(PlayerServer player)
     {
         int chunkX = (int)player.x >> 4;
         int chunkZ = (int)player.z >> 4;
@@ -191,7 +191,7 @@ public class PlayerManager
     }
 
     class PlayerInstance {
-        private final List<ServerPlayer> players;
+        private final List<PlayerServer> players;
         private final int chunkX;
         private final int chunkZ;
         private final ChunkCoordinate currentChunk;
@@ -214,7 +214,7 @@ public class PlayerManager
             server.getDimensionWorld(dimension).chunkProviderServer.prepareChunk(chunkX, chunkZ);
         }
 
-        public void addPlayer(ServerPlayer player) {
+        public void addPlayer(PlayerServer player) {
             if (players.contains(player)) {
                 throw new IllegalStateException("Failed to add player. " + player + " already is in chunk " + chunkX + ", " + chunkZ);
             } else {
@@ -225,7 +225,7 @@ public class PlayerManager
             }
         }
 
-        public void removePlayer(ServerPlayer player) {
+        public void removePlayer(PlayerServer player) {
             if (!players.contains(player)) {
                 return;
             }
@@ -283,7 +283,7 @@ public class PlayerManager
 
         public void sendPacketToPlayersInInstance(Packet packet) {
             for (int i = 0; i < players.size(); i++) {
-                ServerPlayer entityplayermp = (ServerPlayer) players.get(i);
+                PlayerServer entityplayermp = (PlayerServer) players.get(i);
                 if (entityplayermp.field_420_ah.contains(currentChunk)) {
                     entityplayermp.playerNetServerHandler.sendPacket(packet);
                 }
@@ -325,10 +325,10 @@ public class PlayerManager
     //	            zSize = 16;
     //            }
                 sendPacketToPlayersInInstance(new BlockRegionUpdatePacket(minWorldX, minWorldY, minWorldZ, xSize, ySize, zSize, world));
-                List<BlockEntity> list = world.getBlockEntitiesWithinBounds(minWorldX, minWorldY, minWorldZ, minWorldX + xSize, minWorldY + ySize, minWorldZ + zSize);
+                List<TileEntity> list = world.getBlockEntitiesWithinBounds(minWorldX, minWorldY, minWorldZ, minWorldX + xSize, minWorldY + ySize, minWorldZ + zSize);
                 for(int j3 = 0; j3 < list.size(); j3++)
                 {
-                    updateTileEntity((BlockEntity)list.get(j3));
+                    updateTileEntity((TileEntity)list.get(j3));
                 }
 
             } else
@@ -349,7 +349,7 @@ public class PlayerManager
             numBlocksToUpdate = 0;
         }
 
-        public void updateTileEntity(BlockEntity tileentity) {
+        public void updateTileEntity(TileEntity tileentity) {
             if (tileentity != null) {
                 Packet packet = tileentity.getDescriptionPacket();
                 if (packet != null) {
diff --git a/src/main/java/net/minecraft/server/util/helper/PlayerList.java b/src/main/java/net/minecraft/server/util/helper/PlayerList.java
index 72d8d9283..6186336f3 100644
--- a/src/main/java/net/minecraft/server/util/helper/PlayerList.java
+++ b/src/main/java/net/minecraft/server/util/helper/PlayerList.java
@@ -2,7 +2,7 @@ package net.minecraft.server.util.helper;
 
 import net.minecraft.core.net.packet.PlayerListPacket;
 import net.minecraft.server.MinecraftServer;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 
 public class PlayerList {
 	
@@ -15,7 +15,7 @@ public class PlayerList {
 		String[] scores = new String[playerCount];
     	
     	for(int i=0; i < playerCount; i++) {
-    		ServerPlayer player = server.playerList.playerEntities.get(i);
+    		PlayerServer player = server.playerList.playerEntities.get(i);
     		
     		players[i] = player.getDisplayName();
     		scores[i] = String.valueOf(player.getScore());
diff --git a/src/main/java/net/minecraft/server/world/ServerPlayerController.java b/src/main/java/net/minecraft/server/world/ServerPlayerController.java
index 63b7cc607..7c6265e21 100644
--- a/src/main/java/net/minecraft/server/world/ServerPlayerController.java
+++ b/src/main/java/net/minecraft/server/world/ServerPlayerController.java
@@ -5,10 +5,10 @@ import net.minecraft.core.block.Block;
 
 // Referenced classes of package net.minecraft.src:
 //            WorldServer, Block, Player, ItemStack,
-//            ServerPlayer, BlockUpdatePacket, ServerPacketHandler, InventoryPlayer,
+//            PlayerServer, BlockUpdatePacket, PacketHandlerServer, InventoryPlayer,
 //            World
 
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.Item;
 import net.minecraft.core.item.ItemStack;
@@ -16,7 +16,7 @@ import net.minecraft.core.net.packet.BlockUpdatePacket;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.LevelListener;
 import net.minecraft.core.world.World;
-import net.minecraft.server.entity.player.ServerPlayer;
+import net.minecraft.server.entity.player.PlayerServer;
 
 public class ServerPlayerController
 {
@@ -121,7 +121,7 @@ public class ServerPlayerController
     		}
     	}
         Block block = Block.getBlock(id);
-        BlockEntity blockEntity = thisWorld.getBlockEntity(x, y, z);
+        TileEntity tileEntity = thisWorld.getBlockEntity(x, y, z);
         thisWorld.playBlockEvent(player, LevelListener.EVENT_BLOCK_BREAK, x, y, z, id);
         boolean flag = removeBlock(x, y, z);
         if(flag) {
@@ -131,8 +131,8 @@ public class ServerPlayerController
         }
         if(flag && player.canHarvestBlock(Block.blocksList[id]) && player.getGamemode().dropBlockOnBreak())
         {
-            Block.blocksList[id].harvestBlock(thisWorld, player, x, y, z, meta, blockEntity);
-            ((ServerPlayer) player).playerNetServerHandler.sendPacket(new BlockUpdatePacket(x, y, z, thisWorld));
+            Block.blocksList[id].harvestBlock(thisWorld, player, x, y, z, meta, tileEntity);
+            ((PlayerServer) player).playerNetServerHandler.sendPacket(new BlockUpdatePacket(x, y, z, thisWorld));
         }
         ItemStack itemstack = player.getCurrentEquippedItem();
         if(itemstack != null)
@@ -171,9 +171,9 @@ public class ServerPlayerController
         int blockId = world.getBlockId(blockX, blockY, blockZ);
         if (player.getHeldObject() == null) {
             if (player.isSneaking() && itemstack == null) { // If crouched and hand empty try to pickup block entity
-                BlockEntity blockEntity = world.getBlockEntity(blockX, blockY, blockZ);
-                if (blockEntity != null && blockEntity.canBeCarried(world, player)) {
-                    player.setHeldObject(blockEntity.pickup(world, player));
+                TileEntity tileEntity = world.getBlockEntity(blockX, blockY, blockZ);
+                if (tileEntity != null && tileEntity.canBeCarried(world, player)) {
+                    player.setHeldObject(tileEntity.pickup(world, player));
                     return true;
                 }
             }
diff --git a/src/main/java/net/minecraft/server/world/WorldManager.java b/src/main/java/net/minecraft/server/world/WorldManager.java
index cc4d33e62..d4e2549b5 100644
--- a/src/main/java/net/minecraft/server/world/WorldManager.java
+++ b/src/main/java/net/minecraft/server/world/WorldManager.java
@@ -4,9 +4,9 @@ import java.util.HashSet;
 import java.util.Set;
 
 import com.mojang.logging.LogUtils;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.ItemEntity;
+import net.minecraft.core.entity.EntityItem;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.net.packet.PlaySoundEffectPacket;
 import net.minecraft.core.net.packet.PlaySoundEffectDirectPacket;
@@ -47,9 +47,9 @@ public class WorldManager
 	public void entityAdded(Entity entity)
     {
     	// Fix crash
-    	if(entity instanceof ItemEntity) {
-    		ItemEntity itemEntity = (ItemEntity) entity;
-    		if(itemEntity.item == null || itemEntity.item.getItem() == null) {
+    	if(entity instanceof EntityItem) {
+    		EntityItem entityItem = (EntityItem) entity;
+    		if(entityItem.item == null || entityItem.item.getItem() == null) {
     			return;
     		}
     	}
@@ -111,9 +111,9 @@ public class WorldManager
     }
 
     @Override
-	public void tileEntityChanged(int x, int y, int z, BlockEntity blockEntity)
+	public void tileEntityChanged(int x, int y, int z, TileEntity tileEntity)
     {
-        mcServer.playerList.sendBlockEntityToPlayer(x, y, z, worldServer.dimension.id, blockEntity);
+        mcServer.playerList.sendBlockEntityToPlayer(x, y, z, worldServer.dimension.id, tileEntity);
     }
 
     @Override
diff --git a/src/main/java/net/minecraft/server/world/WorldServer.java b/src/main/java/net/minecraft/server/world/WorldServer.java
index 92a7d413b..24b2b389b 100644
--- a/src/main/java/net/minecraft/server/world/WorldServer.java
+++ b/src/main/java/net/minecraft/server/world/WorldServer.java
@@ -4,7 +4,7 @@ import java.util.ArrayList;
 import java.util.List;
 
 import net.minecraft.core.Global;
-import net.minecraft.core.block.entity.BlockEntity;
+import net.minecraft.core.block.entity.TileEntity;
 import net.minecraft.core.util.collection.IntHashMap;
 import net.minecraft.core.world.*;
 import net.minecraft.core.entity.Entity;
@@ -46,15 +46,15 @@ public class WorldServer extends World
         return chunkProviderServer;
     }
 
-    public List<BlockEntity> getBlockEntitiesWithinBounds(int minX, int minY, int minZ, int maxX, int maxY, int maxZ)
+    public List<TileEntity> getBlockEntitiesWithinBounds(int minX, int minY, int minZ, int maxX, int maxY, int maxZ)
     {
-        ArrayList<BlockEntity> arraylist = new ArrayList<>();
-        for(int i = 0; i < loadedBlockEntityList.size(); i++)
+        ArrayList<TileEntity> arraylist = new ArrayList<>();
+        for(int i = 0; i < loadedTileEntityList.size(); i++)
         {
-            BlockEntity blockEntity = loadedBlockEntityList.get(i);
-            if(blockEntity.x >= minX && blockEntity.y >= minY && blockEntity.z >= minZ && blockEntity.x < maxX && blockEntity.y < maxY && blockEntity.z < maxZ)
+            TileEntity tileEntity = loadedTileEntityList.get(i);
+            if(tileEntity.x >= minX && tileEntity.y >= minY && tileEntity.z >= minZ && tileEntity.x < maxX && tileEntity.y < maxY && tileEntity.z < maxZ)
             {
-                arraylist.add(blockEntity);
+                arraylist.add(tileEntity);
             }
         }
 
